namespaceOverride: monitoring

prometheus:
  prometheusSpec:
    serviceMonitorSelectorNilUsesHelmValues: false
    podMonitorSelectorNilUsesHelmValues: false
    retention: 10d
    resources:
      requests:
        memory: 400Mi
        cpu: 200m
    storageSpec:
      volumeClaimTemplate:
        spec:
          accessModes: ["ReadWriteOnce"]
          storageClassName: nfs-client
          resources:
            requests:
              storage: 50Gi
    additionalScrapeConfigsSecret:
      name: prometheus-additional-scrape-configs
      key: additional-scrape-configs.yaml

grafana:
  persistence:
    enabled: true
    storageClassName: nfs-client
    accessModes: ["ReadWriteOnce"]
    size: 2Gi
  ingress:
    enabled: true
    hosts:
      - grafana.dvirlabs.com
    annotations:
      cert-manager.io/cluster-issuer: letsencrypt
    tls:
      - hosts:
          - grafana.dvirlabs.com
        secretName: tls-grafana
